50c02bd72b
Two patches are removed, as they have been upstreamed: - 130-fix_build_with_gcc-6.patch (svn commit 233721, Git commit 8c3fa311caa86f61b4e28d1563d1110b44340fb2) - 920-libgcc-remove-unistd-header.patch (svn commit 226092, Git commit e940d7953f06af11d09229a29ecbcc1ba25b378d) All other patches have simply been refreshed, with no manual edit needed. A build+runtime test has been done with an ARM, Cortex-A8, EABIhf, musl configuration, booted under Qemu. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
16 lines
704 B
Diff
16 lines
704 B
Diff
Index: gcc-4.8.0/contrib/regression/objs-gcc.sh
|
|
===================================================================
|
|
--- gcc-4.8.0.orig/contrib/regression/objs-gcc.sh 2009-04-09 17:00:19.000000000 +0200
|
|
+++ gcc-4.8.0/contrib/regression/objs-gcc.sh 2013-03-23 17:39:04.000000000 +0100
|
|
@@ -106,6 +106,10 @@
|
|
then
|
|
make all-gdb all-dejagnu all-ld || exit 1
|
|
make install-gdb install-dejagnu install-ld || exit 1
|
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
|
+ then
|
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
|
make bootstrap || exit 1
|
|
make install || exit 1
|